JOSE-B64-DEC(1)

NAME
jose-b64-dec - Decodes URL-safe Base64 data to binary

SYNOPSIS
jose b64 dec -i B64 [-O BIN]

OVERVIEW
The jose b64 dec command decodes URL-safe Base64 data to binary format.

OPTIONS

-i FILE, --base64=FILE
    Read Base64 (URL-safe) data from FILE

-i -, --base64=-
    Read Base64 (URL-safe) data from standard input

-O FILE, --binary=FILE
    Write binary data to FILE

-O -, --binary=-
    Write binary data to standard output

EXAMPLES
Decode a simple message:

    $ echo SGVsbG8sIFdvcmxkCg | jose b64 dec -i-
    Hello, World

AUTHOR
Nathaniel McCallum <npmccallum@redhat.com>

SEE ALSO
jose-b64-enc(1)